
do

    ForkThread(function ()

        WaitSeconds(1.0);

        local text = 'center \r\n enter \r\n row3';
        local size = 20;
        local fade = 9;

        -- what other options are there?
        local alignment = 'center';

        -- what format should the color be in?
        local color = 'FFFFFF';

        -- print the general settings
        PrintText("General settings: ", size + 10, color, fade, alignment);
        for k, field in ScenarioInfo.Config.GeneralSettingsFriendly do 
            PrintText('   ' .. k .. ' = ' .. field , size, color, fade, alignment) ;	
        end

        -- print the ground settings
        PrintText("Ground settings: ", size + 10, color, fade, alignment);
        for k, field in ScenarioInfo.Config.GroundSettingsFriendly do 
            PrintText('   ' .. k .. ' = ' .. field , size, color, fade, alignment) ;	
        end

        -- print epic whiteline
        LOG(PrintText('' , size, color, fade, alignment)) ;	

        -- print the info about the settings
        PrintText('You can change the (difficulty) options in the' , size, "#999999", fade + 11, alignment) ;
        PrintText('lobby under \'options\' and then under the ' , size, "#999999", fade + 11, alignment) ;		
        PrintText('\'advanced\' tab at the very bottom of the list.' , size, "#999999", fade + 11, alignment) ;	

        -- print epic whiteline
        LOG(PrintText('' , size, color, fade, alignment)) ;	

        PrintText('Check the vault for the latest version of Rainmakers.' , size, "#999999", fade + 22, alignment) ;	

    end);

end
